E invoicing

Create E-Invoicing Customer

Create a new e-invoicing customer under the authenticated business.

POST
/api/v1/e-invoicing/customers

Authorization

BearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/v1/e-invoicing/customers" \  -H "Content-Type: application/json" \  -d '{    "first_name": "John",    "last_name": "Doe",    "email": "john.doe@example.com",    "phone": "+2348098765432",    "tin": "98765432-0001",    "country": "Nigeria",    "city": "Yaba",    "address": "456 Market Street, Yaba",    "postal_code": "100001",    "lga": "NG-AB-ANO",    "state": "NG-AB"  }'
{
  "requestId": "3a6538fd-03f0-4b05-ba41-5d44769dd014",
  "requestTimestamp": "2026-05-14 14:02:37",
  "message": "Customer created successfully.",
  "statusCode": 201,
  "data": {
    "id": "019e26cb-e650-726d-bad6-95564a020b4a",
    "firstName": "John",
    "lastName": "Doe",
    "email": "john.doe@example.com",
    "phoneNumber": "+2348098765432",
    "reference": "dp_cust_hrxp0rpkhlyc6r8",
    "businessState": "test",
    "isBlacklisted": false,
    "hasWallet": false,
    "hasNrsCustomer": true,
    "wallet": {},
    "status": "ACTIVE",
    "source": "API",
    "createdAt": "2026-05-14 14:02:37"
  }
}
Empty
Empty
Empty

How is this guide?